Bug 928774 (CVE-2013-2686)

Summary: CVE-2013-2686 asterisk: DoS in the HTTP server (AST-2013-002)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: itamar, jeff, lmadsen, rbryant
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130327,reported=20130328,source=debian,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,fedora-18/asterisk=affected,fedora-17/asterisk=affected,epel-6/asterisk=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-10 18:38:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 928552, 928779, 928780    
Bug Blocks:    

Description Jan Lieskovsky 2013-03-28 08:18:26 EDT
A denial of service flaw was found in the way Asterisk, an open-source telephony toolkit, performed processing of certain HTTP POST requests with very large Content-Length values. A remote attacker could use this flaw to cause asterisk telephony server to crash (denial of service).

Upstream advisory:
[1] http://downloads.asterisk.org/pub/security/AST-2013-002.html

Relevant upstream patches:
[2] http://downloads.asterisk.org/pub/security/AST-2013-002-1.8.diff
[3] http://downloads.asterisk.org/pub/security/AST-2013-002-10.diff
[4] http://downloads.asterisk.org/pub/security/AST-2013-002-11.diff
Comment 1 Jan Lieskovsky 2013-03-28 08:33:17 EDT
This issue affects the versions of the asterisk package, as shipped with Fedora release of 18, 17, and Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-03-28 08:36:10 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-18 [bug 928552]
Comment 3 Jan Lieskovsky 2013-03-28 08:37:43 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-17 [bug 928779]
Affects: epel-6 [bug 928780]
Comment 4 Fedora Update System 2013-04-06 20:44:30 EDT
asterisk-10.12.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.